Bug 610211 - Review Request: unique3 - Single instance support for GTK3 applications
Review Request: unique3 - Single instance support for GTK3 applications
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 14:47 EDT by Matthias Clasen
Modified: 2011-02-02 16:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 10:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adel.gadllah: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2010-07-01 14:47:09 EDT
This is a GTK3 port of libunique, parallel installable with the unique2 package.

http://mclasen.fedorapeople.org/unique3-2.90.1-1.fc14.src.rpm
http://mclasen.fedorapeople.org/unique3.spec
Comment 1 Adel Gadllah 2010-07-02 02:45:40 EDT
Package Review:

[+] source files match upstream: 32ab9849994da70f461fc78c59a2b930d294f8c7
[+] package meets naming and versioning guidelines.
[+] specfile is properly named, is cleanly written and uses macros consistently.
[+] dist tag is present.
[+] license field matches the actual license.
[+] license is open source-compatible: LGPLv2+
[+] latest version is being packaged.
[+] BuildRequires are proper.
[+] compiler flags are appropriate.
[+] package builds in koji.
[+] package installs properly.
[+] debuginfo package looks complete.
[1] rpmlint is silent.
[+] owns the directories it creates.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[+] scriptlets are sane.
[+] code, not content.
[+] documentation is small, so no -docs subpackage is necessary.
[+] %docs are not necessary for the proper functioning of the package.
[+] no libtool .la droppings.

==================================

[1]: Just noise:

-----------

unique3-2.90.1-1.fc14.src/unique3.spec: W: no-cleaning-of-buildroot %clean
unique3-2.90.1-1.fc14.src/unique3.spec: W: no-buildroot-tag
unique3-2.90.1-1.fc14.src/unique3.spec: W: no-%clean-section

-----------

=> Approved
Comment 2 Chen Lei 2010-07-02 05:27:10 EDT
Some trivial suggestion:

1.It loooks like BuildRequires:  gnome-doc-utils >= 0.3.2 and Requires: pkgconfig
 is not needed.
2. I seems the minimum version for gtk3 is 2.90.0, I think BuildRequires:  gtk3-devel >= 2.90.0 can be changed to gtk3-devel.
Comment 3 Matthias Clasen 2010-07-02 09:50:58 EDT
New Package CVS Request
=======================
Package Name: unique3
Short Description: Single instance support for GTK+ 3 applications
Owners: rhughes
Branches:
Comment 4 Jason Tibbitts 2010-07-02 13:14:01 EDT
The fedora-cvs flag is set but there's no CVS request that I can find.  Resetting the flag.
Comment 5 Matthias Clasen 2010-07-02 13:43:30 EDT
Sorry. For some reason the request got marked as a private comment...
Comment 6 Jason Tibbitts 2010-07-02 14:01:56 EDT
OK, now I get to ask if that CVS request is correct.  You've pushed this package all the way through review but you won't be the owner?
Comment 7 Matthias Clasen 2010-07-02 14:32:39 EDT
I've asked Richard if he would mind owning it, since he is the maintainer of unique, and this is just a gtk3 port of that. But feel free to add me as owner as well, if it makes your job easier, I don't mind owning yet another package...
Comment 8 Chen Lei 2010-07-02 22:22:03 EDT
Hi Matthias,
Why not rename this package to libunique instead of unique3? Upstream seems call it as libunique, the tarball name is also  libunique-2.90.1.tar.bz2.
Comment 9 Matthias Clasen 2010-07-02 23:21:17 EDT
It is named this way for consistency with the unique package. 
If you look at http://live.gnome.org/LibUnique, you will find equal amounts of references to libunique and unique.
Comment 10 Chen Lei 2010-07-02 23:34:01 EDT
(In reply to comment #9)
> It is named this way for consistency with the unique package. 
> If you look at http://live.gnome.org/LibUnique, you will find equal amounts of
> references to libunique and unique.    

IMHO, I think unique should be renamed to libunique.

Upstream renamed tarball to libunique completely after version 1.0.6.

See 
1.0.4 http://koji.fedoraproject.org/koji/rpminfo?rpmID=1058822
1.0.8 http://koji.fedoraproject.org/koji/rpminfo?rpmID=1181378

I think it's more reasonable to rename this package to libunique or libunique3.

Also, only unique tarball is only available at http://people.gnome.org/~ebassi/source/

Gnome site always use libunique as tarball name even on version 1.0.0.
See
http://ftp.acc.umu.se/pub/GNOME/sources/libunique/1.0/
Comment 11 Jason Tibbitts 2010-07-02 23:34:09 EDT
CVS done (by process-cvs-requests.py).
Comment 12 Rakesh Pandit 2010-07-05 07:16:49 EDT
Changing status to assigned.

Note You need to log in before you can comment on or make changes to this bug.